#include <stdio.h>

int main()
{
    int i,n,l,k=0;
    scanf("%d%d",&n,&l);
    int m[n];
    for(i=1;i<n+1;i++)
       {
           scanf("%d",&m[i]);
           if(l>=m[i])
           {
               k=i;
               printf("%d",k);
               return 0;
           }
       }
       if(k==0)
       {
           printf("-1");
           return 0;
       }
}